<!--
	Name:	Samuel Joski
	File:	controller.php
	CSCI-460 Computer Controlled Railroad User CAB
-->
<?php
	function displayStatus($status) {
		//This function will display the text interpretation of a status integer
		switch ($status) {
			case "0":	echo 'TRAIN HALTED';	break;
			case "1":	echo 'AT DEAD END';	break;
			case "2":	echo 'TRAIN MOVING';	break;
			default:	echo 'UNKNOWN';		break;
		}
	}

	function displayDirection($direction, $orientation) {
	/* This function will display the forward direction of the train.
		Forward direction is determined by the train's direction
		and orientation values:				
			* FORWARD	if	direction == orientation
			* BACKWARD	if	direction != orientation
	*/
		if($direction == $orientation) {
			echo 'FORWARD';
		}
		else {
			echo 'BACKWARD';
		}
	}
?>

<html>

<head>
	<meta http-equiv="refresh" content="2">
	<title>CCR | CAB Controller</title>
	<script type = "text/javascript" src="requestFunctions.js"></script>

	<style>
		.button {
    			background-color: gold;
   			border: none;
    			color: black;
    			<!--padding: 32px 32px;-->
			height: 400px;
			width:	100px;
    			text-align: center;
    			text-decoration: none;
    			display: inline-block;
			font-size: 32px;
   			margin: 4px 2px;
   			cursor: pointer;
		}

		.disabled {
    			opacity: 0.6;
    			cursor: not-allowed;
		}

		td {
			padding-left: 15px;
			padding-right: 15px;
		}

	</style>
</head>

<body bgcolor="Crimson">
	<?php 
		session_start();
		//Compare the selected engine to the file to get the information of the train to display
		if (isset($_POST['trainSelect'])/* and !isset($_SESSION['chosenTrainID'])*/) {
			$selectedTrain = $_POST['trainSelect'];
		
			$file = fopen("trains.txt", 'rb');
			if (!$file) {
				echo "<p><strong> Uh-oh... Something went wrong with opening the file...</strong></p></body></html>";
				exit;
			}
				
			while (!feof($file)) {
				$line = fgets($file);

				//Make sure the last line is not read
				if($line != "") {

					//For counting trains, do not count empty lines
					if($line != "\n") {
						$train = explode(',', $line);
		
						//If the selected train equals the address of the train being checked in the file
						$selectedAddress = explode(' ', $_POST['trainSelect']);	//Split "Engine" from the address number from the select box
						if($train[1] == $selectedAddress[1]) {
							$_SESSION['chosenTrainID'] = $train[0];
							$_SESSION['chosenTrainAddress'] = $train[1];
							$_SESSION['chosenTrainLocation'] = $train[2];
							$_SESSION['chosenTrainSpeed'] = $train[3];
							$_SESSION['chosenTrainDirection'] = $train[4];
							$_SESSION['chosenTrainOrientation'] = $train[5];
							$_SESSION['chosenTrainStatus'] = $train[6];
							$_SESSION['chosenTrainHeadlight'] = $train[7];
							$_SESSION['chosenTrainHorn'] = $train[8];
							$_SESSION['chosenTrainOccupied'] = $train[9];
							break;
						}
					}
				}
			}
			fclose($file);
		}
	 ?>

	<center>
		<h1><br><b>CAB Controller</b></h1>	

		<?php 
			//Display train information if SESSION variables are set
			if (isset($_SESSION['chosenTrainAddress'])) {
				echo '	<h3><b>
						You own Train: '.$_SESSION['chosenTrainAddress'].' <br>
					</h3></b>

					<br>
						
					<table>
						<tr>
							<td><button class="button" name="Increase" onclick="return requestSpeed(1)">+</button></td>
							<td><h2><div id="status">Status: ';displayStatus($_SESSION['chosenTrainStatus']);echo'</div></h2></td>
							<td></td>
						</tr>
						<tr>
							<td><button class="button" name="Stop" onclick="return requestSpeed(0)">Stop</button></td>
							<td><h2><div id="speed">Speed: '.$_SESSION['chosenTrainSpeed'].'</div></h2></td>
						</tr>
						<tr>
							<td><button class="button" name="Decrease" onclick="return requestSpeed(-1)">-</button></td>
							<td><h2><div id="direction">Direction: ';displayDirection($_SESSION['chosenTrainDirection'], $_SESSION['chosenTrainOrientation']);echo'</div></h2></td>
						</tr>
					</table>

					<br><br><br><br>
					<form action="index.php">
						<input type="submit" value="Disconnect" />
					</form>';

			}
  			else {
				echo 'Unable to request the train. Please return to the selection screen to try again.<br><br>
				<form action="index.php">
					<input type="submit" value="Go Back" />
				</form>';	
			}
		?>
	</center>

	<div style="position: absolute; bottom: 0px;">
		Samuel Joski, SNC CSCI-460, Spring 2018
	</div>

</body>
</html>